RunWorkflow
Stored in the runworkflows collection. createdAt and updatedAt are maintained automatically.
Returned by DELETE /workflow/runs, GET /workflow/runs, DELETE /workflow/runs/:runId, POST /workflow/runs/:runId/restart.
| Field | Type | Notes |
|---|---|---|
workflow | ObjectId -> Workflow | required |
company | ObjectId -> Company | required |
workflowVersion | number | required |
workflowSnapshot | any | required |
status | string | default queued · one of queued, running, waiting, delayed, paused, completed, failed, cancelled |
triggerEventType | string | |
triggerDetails | any | default {} |
currentNodeKey | string | |
currentParentNodeKey | string | |
completedNodeHistory | object[] | default [] |
completedNodeHistory.nodeKey | string | |
completedNodeHistory.type | string | |
completedNodeHistory.status | string | |
completedNodeHistory.startedAt | date | |
completedNodeHistory.completedAt | date | |
completedNodeHistory.output | any | |
completedNodeHistory.error | string | |
actionExecutions | object[] | default [] |
actionExecutions.nodeKey | string | |
actionExecutions.type | string | |
actionExecutions.label | string | |
actionExecutions.status | string | |
actionExecutions.executedAt | date | |
actionExecutions.completedAt | date | |
actionExecutions.messageIds | mixed[] | default [] |
actionExecutions.output | any | |
actionExecutions.error | string | |
previousExecutedNodeKeys | string[] | default [] |
previousSuccessfulActionNodeKeys | string[] | default [] |
immediateExecutableNodes | object[] | default [] |
immediateExecutableNodes.nodeKey | string | |
immediateExecutableNodes.edgeKey | string | |
immediateExecutableNodes.parentNodeKey | string | |
immediateExecutableNodes.transitionType | string | |
immediateExecutableNodes.eventType | string | |
immediateExecutableNodes.conditions | mixed[] | default [] |
immediateExecutableNodes.waitConfig | any | default {} |
immediateExecutableNodes.timeoutConfig | any | default {} |
context | any | default {} |
waitingEvent | any | default null |
timeoutAt | date | |
lockedAt | date | |
workerId | string | |
pauseRequested | boolean | default false |
cancelRequested | boolean | default false |
error | string | |
completedAt | date | |
_id | ObjectId | default "6a95712f932657988a91c0cf" |
createdAt | date | set once |
updatedAt | date |